﻿@Code
    ViewData("Title") = "mvc_unbound"
End Code

<form name="form1">
    <div class="btn-group" data-toggle="buttons" style="margin-bottom:5px;">
        <label class="btn btn-default active"><input type="radio" name="data" value="DataA" checked>DataA</label>
        <label class="btn btn-default"><input type="radio" name="data" value="DataB">DataB</label>
    </div>

    <p>
        <input type="button" class="btn btn-primary" id="btnCode" value="Section Report (code based)" onclick="btnCode_Click()" />
        <input type="button" class="btn btn-primary" id="btnRpx" value="Section Report（XML）" onclick="btnRpx_Click()" />
        <input type="button" class="btn btn-primary" id="btnPage" value="Page Report" onclick="btnPage_Click()" />
    </p>
</form>

<div id="viewer" style="width: 850px; height: 600px; border: black solid"></div>

@section scripts
    <!-- Add reference to ActiveReports HTML5 Viewer  -->
    <script src="@Url.Content("~/Scripts/GrapeCity.ActiveReports.Viewer.Html.min.js")"></script>
    <script type="text/javascript">
        var viewer;

        $(function () {
            viewer = GrapeCity.ActiveReports.Viewer(
            {
                // Set the region (id attribute of the div element) 
                // in which to display the HTML5 viewer
                element: '#viewer',
                // Set the URL of the custom report service
                reportService: {
                    url: '@Url.Content("~/MyReportService.asmx")'
                },
                // Set UI type of the HTML5 viewer toolbar
                uiType: 'desktop'
            });
        });

        function btnCode_Click() {
            var reportOption = {
                // Set the full name of the class and data source
                id: 'mvc_unbound.SectionReport1?' + $("[name=data]:checked").val()
            };
            // Show it in the viewer
            viewer.option('report', reportOption);
        }

        function btnRpx_Click() {
            var reportOption = {
                // Set the file path and data source
                id: 'Reports/SectionReport1.rpx?' + $("[name=data]:checked").val()
            };
            // Show it in the viewer
            viewer.option('report', reportOption);
        }

        function btnPage_Click() {
            var reportOption = {
                // Set the file path and data source
                id: 'Reports/PageReport1.rdlx?' + $("[name=data]:checked").val()
            };

            // Show it in the viewer
            viewer.option('report', reportOption);
        }
    </script>
End Section